Index: /branches/dev_001_GM/NEMO/TOP_SRC/trcdta.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/trcdta.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/trcdta.F90	(revision 763)
@@ -2,46 +2,40 @@
    !!======================================================================
    !!                     ***  MODULE  trcdta  ***
-   !! Ocean data  :  reads passive tracer data 
+   !! TOP :  reads passive tracer data 
    !!=====================================================================
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-
-#if  defined key_passivetrc && defined key_dtatrc
-   !!----------------------------------------------------------------------
-   !!   'key_dtatrc'                           3D tracer data field
+   !! History :   1.0  !  2002-04  (O. Aumont)  original code
+   !!              -   !  2004-03  (C. Ethe)  module
+   !!              -   !  2005-03  (O. Aumont, A. El Moussaoui) F90
+   !!----------------------------------------------------------------------
+#if  defined key_passivetrc  &&  defined key_dtatrc
+   !!----------------------------------------------------------------------
+   !!   'key_passivetrc'  and  'key_dtatrc'          3D passive tracer data
    !!----------------------------------------------------------------------
    !!   dta_trc      : read ocean passive tracer data
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce_trc
    USE trc
    USE par_sms
    USE lib_print
+   USE iom
 
    IMPLICIT NONE
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC dta_trc   ! called by trcdtr.F90 and trcdmp.F90
-
-   !! * Shared module variables
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk,jptra) ::   &  !:
-      trdta             !: tracer data at given time-step
-
-   !! * Module variables
-   REAL(wp), DIMENSION(jpi,jpj,jpk,jptra,2) ::   &
-      tracdta            ! tracer data at two consecutive times
-   INTEGER , DIMENSION(jptra) :: &
-      nlectr  ,   &    !!: switch for reading once
-      ntrc1   ,   &    !!: number of first month when reading 12 monthly value
-      ntrc2            !!: number of second month when reading 12 monthly value
+   PUBLIC dta_trc   ! called in trcdtr.F90 and trcdmp.F90
+
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk,jptra) ::   trdta   !: tracer data at given time-step
+
+   REAL(wp), DIMENSION(jpi,jpj,jpk,jptra,2) ::   tracdta            ! tracer data at two consecutive times
+   INTEGER , DIMENSION(jptra) ::   nlectr      !: switch for reading once
+   INTEGER , DIMENSION(jptra) ::   ntrc1       !: number of first month when reading 12 monthly value
+   INTEGER , DIMENSION(jptra) ::   ntrc2       !: number of second month when reading 12 monthly value
 
    !! * Substitutions
 #  include "passivetrc_substitute.h90"
-
-   !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -64,25 +58,12 @@
       !!      At each time step, a linear interpolation is applied between 
       !!      two monthly values.
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT( in ) ::   kt     ! ocean time-step
       !!
-      !! History :
-      !!   8.2  !  02-04  (O. Aumont)  Original code
-      !!   9.0  !  04-03  (C. Ethe)    
-      !!   9.0  !  05-03  (O. Aumont and A. El Moussaoui) F90
-      !!----------------------------------------------------------------------
-      !! * Modules used
-      USE iom
-
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt     ! ocean time-step
-
-      !! * Local declarations
-      INTEGER :: ji, jj, jn, jl 
-      INTEGER, PARAMETER ::  &
-         jpmois  = 12        ! number of months
-
-      INTEGER ::   &
-         imois, iman, i15, ik  ! temporary integers 
-      CHARACTER (len=39) :: clname(jptra)
-      REAL(wp) :: zxy, zl
+      CHARACTER (len=39) ::   clname(jptra)
+      INTEGER, PARAMETER ::   jpmois  = 12        ! number of months
+      INTEGER ::   ji, jj, jn, jl 
+      INTEGER ::   imois, iman, i15, ik  ! temporary integers 
+      REAL(wp) ::   zxy, zl
       !!----------------------------------------------------------------------
 
@@ -113,14 +94,14 @@
                IF(lwp) WRITE(numout,*) ' trc_dta : Levitus tracer data monthly fields'
                ! open file 
-#if defined key_trc_pisces
+# if defined key_trc_pisces
                clname(jn) = 'LEVITUS_'//ctrcnm(jn)
-#else
+# else
                clname(jn) = ctrcnm(jn)
-#endif
+# endif
                CALL iom_open ( clname(jn), numtr(jn) )              
 
             ENDIF
 
-#if defined key_trc_pisces
+# if defined key_trc_pisces
             ! Read montly file
             IF( ( kt == nittrc000 .AND. nlectr(jn) == 0)  .OR. imois /= ntrc1(jn) ) THEN
@@ -162,5 +143,6 @@
                            IF( ik > 2 ) THEN
                               zl = ( gdept(ik) - fsdept(ji,jj,ik) ) / ( gdept(ik) - gdept(ik-1) )
-                              tracdta(ji,jj,ik,jn,jl) = (1.-zl) * tracdta(ji,jj,ik,jn,jl) + zl * tracdta(ji,jj,ik-1,jn,jl)
+                              tracdta(ji,jj,ik,jn,jl) = (1.-zl) * tracdta(ji,jj,ik  ,jn,jl)   &
+                                 &                    +     zl  * tracdta(ji,jj,ik-1,jn,jl)
                            ENDIF
                         END DO
@@ -173,40 +155,35 @@
 
             IF(lwp) THEN
-               WRITE(numout,*) ctrcnm(jn), 'Levitus month ', ntrc1(jn),   &
-                  ntrc2(jn)
+               WRITE(numout,*) ctrcnm(jn), 'Levitus month ', ntrc1(jn), ntrc2(jn)
                WRITE(numout,*)
-               WRITE(numout,*) ' Levitus month = ', ntrc1(jn),   &
-                  '  level = 1'
+               WRITE(numout,*) ' Levitus month = ', ntrc1(jn), '  level = 1'
                CALL prihre( tracdta(1,1,1,jn,1), jpi, jpj, 1, jpi, 20, 1   &
-                  ,jpj, 20, 1., numout )
-               WRITE(numout,*) ' Levitus month = ', ntrc1(jn),    &
-                  '  level = ',jpk/2
+                  &        ,jpj, 20, 1., numout )
+               WRITE(numout,*) ' Levitus month = ', ntrc1(jn), '  level = ',jpk/2
                CALL prihre( tracdta(1,1,jpk/2,jn,1), jpi, jpj, 1, jpi,    &
-                  20, 1, jpj, 20, 1., numout )
-               WRITE(numout,*) ' Levitus month = ',ntrc1(jn)     &
-                  ,'  level = ',jpkm1
+                  &         20, 1, jpj, 20, 1., numout )
+               WRITE(numout,*) ' Levitus month = ',ntrc1(jn),'  level = ',jpkm1
                CALL prihre( tracdta(1,1,jpkm1,jn,1), jpi, jpj, 1, jpi,     &
-                  20, 1, jpj, 20, 1., numout )
+                  &         20, 1, jpj, 20, 1., numout )
             ENDIF
 
             ! At every time step compute temperature data
-
             zxy = FLOAT( nday + 15 - 30 * i15 ) / 30.
-            trdta(:,:,:,jn)=  ( 1. - zxy ) * tracdta(:,:,:,jn,1)    &
-               +       zxy   * tracdta(:,:,:,jn,2) 
-
-            IF( jn == jpno3) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 7.6E-6
-            IF( jn == jpdic) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 1.E-6
-            IF( jn == jptal) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 1.E-6
-            IF( jn == jpoxy) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 44.6E-6
-            IF( jn == jpsil) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 1.E-6
-            IF( jn == jppo4) trdta(:,:,:,jn) = trdta(:,:,:,jn) * 122.E-6
+            trdta(:,:,:,jn) =  ( 1. - zxy ) * tracdta(:,:,:,jn,1)    &
+               &              +       zxy   * tracdta(:,:,:,jn,2) 
+
+            IF( jn == jpno3 )   trdta(:,:,:,jn) = trdta(:,:,:,jn) *   7.6e-6
+            IF( jn == jpdic )   trdta(:,:,:,jn) = trdta(:,:,:,jn) *   1.0e-6
+            IF( jn == jptal )   trdta(:,:,:,jn) = trdta(:,:,:,jn) *   1.0e-6
+            IF( jn == jpoxy )   trdta(:,:,:,jn) = trdta(:,:,:,jn) *  44.6e-6
+            IF( jn == jpsil )   trdta(:,:,:,jn) = trdta(:,:,:,jn) *   1.0e-6
+            IF( jn == jppo4 )   trdta(:,:,:,jn) = trdta(:,:,:,jn) * 122.0e-6
 
             ! Close the file
             ! --------------
             
-            IF( kt == nitend )   CALL iom_close ( numtr(jn) )
-
-#else
+            IF( kt == nitend )   CALL iom_close( numtr(jn) )
+
+# else
             ! Read init file only
             IF( kt == nittrc000  ) THEN
@@ -215,16 +192,15 @@
                CALL iom_close ( numtr(jn) )
             ENDIF 
-#endif
-
-        ENDIF
-
-       END DO
-
+# endif
+
+         ENDIF
+
+      END DO
+      !
    END SUBROUTINE dta_trc
 
 #else
-
-   !!----------------------------------------------------------------------
-   !!   Default case                        NO 3D passive tracer data field
+   !!----------------------------------------------------------------------
+   !!   Dummy module                              NO 3D passive tracer data
    !!----------------------------------------------------------------------
 CONTAINS
@@ -232,6 +208,6 @@
       WRITE(*,*) 'dta_trc: You should not have seen this print! error?', kt
    END SUBROUTINE dta_trc
-
 #endif
 
+   !!======================================================================
 END MODULE trcdta
Index: /branches/dev_001_GM/NEMO/TOP_SRC/trcdtr.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/trcdtr.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/trcdtr.F90	(revision 763)
@@ -1,92 +1,70 @@
 MODULE trcdtr
-   !!=======================================================================================
-   !!
-   !!                       *** MODULE trcdtr ***
-   !!
-   !!  Computes or READ initial DATA for passive tracer
-   !!
-   !!=======================================================================================
-   !!  TOP 1.0,  LOCEAN-IPSL (2005)
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/TOP_SRC/trcdtr.F90,v 1.8 2007/10/17 14:48:56 opalod Exp $
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
-   !!----------------------------------------------------------------------
-      !!----------------------------------------------------------------------
-      !! * Modules used
-      !! ==============
-      USE oce_trc
-      USE trc
-      USE sms
-      USE trcdta
-      USE lib_mpp
-
-      IMPLICIT NONE
-      PRIVATE
-  !! * Accessibility
-      PUBLIC trc_dtr
+   !!======================================================================
+   !!                         ***  MODULE trcdtr  ***
+   !! TOP :   computes or READ initial DATA for passive tracer
+   !!======================================================================
+   !! History :    -   !  1996-11  ()  original code
+   !!                  !  2000-12  (O. Aumont, E. Kestenare) add for POC in sediments
+   !!             1.0  !  2005-12  (O. Aumont, A. El Moussaoui) F90
+   !!----------------------------------------------------------------------
+#if defined key_passivetrc
+   !!----------------------------------------------------------------------
+   !!   'key_passivetrc'                                    Passive tracers
+   !!----------------------------------------------------------------------
+   !!   trc_dtr    :  computes or READ initial DATA for passive tracer
+   !!----------------------------------------------------------------------
+   USE oce_trc
+   USE trc
+   USE sms
+   USE trcdta
+   USE lib_mpp
+
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC trc_dtr      ! called in ???
+
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
 CONTAINS
 
-#if defined key_passivetrc
-
-SUBROUTINE trc_dtr
-!!---------------------------------------------------------------------
-!!
-!!                       ROUTINE trci_dtr
-!!                     ******************
-!!  PURPOSE :
-!!  ---------
-!!     computes or READ initial DATA for passive tracer
-!!   -----
-!!      COMMON
-!!            /comdom/          : domain PARAMETER
-!!            /comcoo/          : orthogonal curvilinear coordinates
-!!                                and scale factors
-!!            /comask/          : masks, bathymetry
-!!   OUTPUT :
-!!   ------
-!!      COMMON
-!!            /cottrc/          : passive tracer field now and before
-!!
-!!
-!!   History:
-!!   --------
-!!      original  : 96-11
-!!      additions : 99-9
-!!                : 00-12 (O. Aumont, E. Kestenare) add for POC in sediments 
-!!                         add for POC in sediments  
-!!    03/05  O. Aumont and A. El Moussaoui  F90 
-!!----------------------------------------------------------------------
-!!----------------------------------------------------------------------
-!! local declarations
-!! ================== 
+   SUBROUTINE trc_dtr
+      !!---------------------------------------------------------------------
+      !!                     ***  ROUTINE trc_dtr  ***
+      !!
+      !! ** Purpose :   computes or READ initial DATA for passive tracer
+      !!
+      !! ** Method  : 
+      !!---------------------------------------------------------------------
       INTEGER :: ji,jj,jk,jn 
 #if defined key_trc_pisces
-      REAL(wp) :: alka0,oxyg0,calc0,bioma0,    &
-                  silic1,po4,no3,caralk,bicarb,co3
-#endif
-!!---------------------------------------------------------------------
-!!  OPA.9 
-!!---------------------------------------------------------------------
-!! 0. initialisations
-!! ------------------
-
-      IF(lwp) WRITE(numout,*) ' '
-      IF(lwp) WRITE(numout,*) ' *** trcdtr initialisation for '
-      IF(lwp) WRITE(numout,*) '     passive tracers'
-      IF(lwp) WRITE(numout,*) ' '
-
+      REAL(wp) ::   alka0, oxyg0, calc0, bioma0
+      REAL(wp) ::   silic1, po4, no3, caralk, bicarb, co3
+#endif
+      !!---------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) 'trc_dtr : initialisation of the passive tracers'
+      IF(lwp) WRITE(numout,*) '~~~~~~~'
 
 #if defined key_cfc
-      trn(:,:,:,:)=0.0
+      ! CFC initialisation
+      trn(:,:,:,:) = 0.e0
+      
 #elif defined key_trc_pisces
-
-      sco2   = 2.3e-3
-      alka0  = 2.39e-3
-      oxyg0  = 1.8e-4
-      po4    = 2.165e-6/po4r
-      bioma0 = 1.e-8
-      silic1 = 91.51e-6
-      calc0  = 1.e-6
-      no3    = 30.88E-6*7.6
+      ! PISCES initialisation
+      ! ---------------------
+      sco2   =  2.300e-3
+      alka0  =  2.390e-3
+      oxyg0  =  1.800e-4
+      po4    =  2.165e-6 / po4r
+      bioma0 =  1.000e-8
+      silic1 = 91.510e-6
+      calc0  =  1.000e-6
+      no3    = 30.880e-6 * 7.6
 
       trn(:,:,:,jpdic) = sco2
@@ -99,11 +77,11 @@
 #if ! defined key_trc_kriest
       trn(:,:,:,jpgoc) = bioma0
-      trn(:,:,:,jpbfe) = bioma0*5E-6
+      trn(:,:,:,jpbfe) = bioma0 * 5.e-6
 #else
-      trn(:,:,:,jpnum) = bioma0/(6.*xkr_massp)
+      trn(:,:,:,jpnum) = bioma0 / ( 6. *xkr_massp )
 #endif
       trn(:,:,:,jpsil) = silic1
-      trn(:,:,:,jpbsi) = bioma0*0.15
-      trn(:,:,:,jpdsi) = bioma0*5.E-6
+      trn(:,:,:,jpbsi) = bioma0 * 0.15
+      trn(:,:,:,jpdsi) = bioma0 * 5.e-6
       trn(:,:,:,jpphy) = bioma0
       trn(:,:,:,jpdia) = bioma0
@@ -111,35 +89,30 @@
       trn(:,:,:,jpmes) = bioma0
       trn(:,:,:,jpfer) = 0.6E-9
-      trn(:,:,:,jpsfe) = bioma0*5.E-6
-      trn(:,:,:,jpdfe) = bioma0*5.E-6
-      trn(:,:,:,jpnfe) = bioma0*5.E-6
-      trn(:,:,:,jpnch) = bioma0*12./55.
-      trn(:,:,:,jpdch) = bioma0*12./55.
+      trn(:,:,:,jpsfe) = bioma0 * 5.e-6
+      trn(:,:,:,jpdfe) = bioma0 * 5.e-6
+      trn(:,:,:,jpnfe) = bioma0 * 5.e-6
+      trn(:,:,:,jpnch) = bioma0 * 12. / 55.
+      trn(:,:,:,jpdch) = bioma0 * 12. / 55.
       trn(:,:,:,jpno3) = no3
       trn(:,:,:,jpnh4) = bioma0
 
-
-!!  Initialization of chemical variables of the carbon cycle
-!!  --------------------------------------------------------
-
-      DO jk = 1,jpk
-        DO jj = 1,jpj
-          DO ji = 1,jpi
-              caralk = trn(ji,jj,jk,jptal)-         & 
-                      borat(ji,jj,jk)/(1.+1.E-8/(rtrn+akb3(ji,jj,jk)))
-               co3 = (caralk-trn(ji,jj,jk,jpdic))*tmask(ji,jj,jk)   &
-                  &        +(1.-tmask(ji,jj,jk))*.5e-3
-              bicarb = (2.*trn(ji,jj,jk,jpdic)-caralk)
-              hi(ji,jj,jk) = (ak23(ji,jj,jk)*bicarb/co3)             &  
-                *tmask(ji,jj,jk)+(1.-tmask(ji,jj,jk))*1.e-9
-          ENDDO
-        ENDDO
-      ENDDO
-
-
-!!  initialize the half saturation constant for silicate
-!!  ----------------------------------------------------
-
-      xksi(:,:)=2.E-6
+      ! Initialization of chemical variables of the carbon cycle
+      ! --------------------------------------------------------
+      DO jk = 1, jpk
+         DO jj = 1, jpj
+            DO ji = 1, jpi
+               caralk = trn(ji,jj,jk,jptal) - borat(ji,jj,jk) / (  1. + 1.E-8 / ( rtrn + akb3(ji,jj,jk) )  )
+               co3    = ( caralk - trn(ji,jj,jk,jpdic) ) *        tmask(ji,jj,jk)   &
+                  &   +                  0.5e-3          * ( 1. - tmask(ji,jj,jk) )
+               bicarb = (2.*trn(ji,jj,jk,jpdic)-caralk)
+               hi(ji,jj,jk) = ( ak23(ji,jj,jk) * bicarb / co3 ) *        tmask(ji,jj,jk)   &  
+                  &         +            1.e-9                  * ( 1. - tmask(ji,jj,jk) )
+          END DO
+        END DO
+      END DO
+
+      ! initialize the half saturation constant for silicate
+      ! ----------------------------------------------------
+      xksi(:,:) = 2.e-6
 
       IF(lwp) WRITE(numout,*) 'Initialization of PISCES tracers done'
@@ -147,91 +120,95 @@
 
 #elif defined key_trc_lobster1 && ( defined key_eel_r6 || defined key_eel_r2 )
-! analytical initialisation used in Levy et al. (2001)
+      ! LOBSTER initialisation for EEL
+      ! ----------------------
+      ! here: analytical initialisation used in Levy et al. (2001)
       
-      DO jk=1,7
-        trn(:,:,jk,jpdet)=0.016*tmask(:,:,jk)
-        trn(:,:,jk,jpzoo)=0.018*tmask(:,:,jk)
-        trn(:,:,jk,jpphy)=0.036*tmask(:,:,jk)
-        trn(:,:,jk,jpno3)=1.e-5*tmask(:,:,jk)
-        trn(:,:,jk,jpnh4)=0.0005*tmask(:,:,jk)
-        trn(:,:,jk,jpdom)=0.017*tmask(:,:,jk)
-      END DO
-
-      trn(:,:,8,jpdet)=0.020*tmask(:,:,1)
-      trn(:,:,8,jpzoo)=0.027*tmask(:,:,1)
-      trn(:,:,8,jpphy)=0.041*tmask(:,:,1)
-      trn(:,:,8,jpno3)=0.00022*tmask(:,:,1)
-      trn(:,:,8,jpnh4)=0.0033*tmask(:,:,1)
-      trn(:,:,8,jpdom)=0.021*tmask(:,:,1)
-
-      trn(:,:,9,jpdet)=0.0556*tmask(:,:,1)
-      trn(:,:,9,jpzoo)=0.123*tmask(:,:,1)
-      trn(:,:,9,jpphy)=0.122*tmask(:,:,1)
-      trn(:,:,9,jpno3)=0.028*tmask(:,:,1)
-      trn(:,:,9,jpnh4)=0.024*tmask(:,:,1)
-      trn(:,:,9,jpdom)=0.06*tmask(:,:,1)
-
-      trn(:,:,10,jpdet)=0.025*tmask(:,:,1)
-      trn(:,:,10,jpzoo)=0.016*tmask(:,:,1)
-      trn(:,:,10,jpphy)=0.029*tmask(:,:,1)
-      trn(:,:,10,jpno3)=2.462*tmask(:,:,1)
-      trn(:,:,10,jpnh4)=0.04*tmask(:,:,1)
-      trn(:,:,10,jpdom)=0.022*tmask(:,:,1)
-
-      trn(:,:,11,jpdet)=0.0057*tmask(:,:,1)
-      trn(:,:,11,jpzoo)=0.0005*tmask(:,:,1)
-      trn(:,:,11,jpphy)=0.0006*tmask(:,:,1)
-      trn(:,:,11,jpno3)=3.336*tmask(:,:,1)
-      trn(:,:,11,jpnh4)=0.005*tmask(:,:,1)
-      trn(:,:,11,jpdom)=0.004*tmask(:,:,1)
-
-      trn(:,:,12,jpdet)=0.002*tmask(:,:,1)
-      trn(:,:,12,jpzoo)=1.e-6*tmask(:,:,1)
-      trn(:,:,12,jpphy)=5.e-6*tmask(:,:,1)
-      trn(:,:,12,jpno3)=4.24*tmask(:,:,1)
-      trn(:,:,12,jpnh4)=0.001*tmask(:,:,1)
-      trn(:,:,12,jpdom)=3.e-5*tmask(:,:,1)
+      DO jk = 1, 7
+         trn(:,:,jk,jpdet) = 0.016 * tmask(:,:,jk)
+         trn(:,:,jk,jpzoo) = 0.018 * tmask(:,:,jk)
+         trn(:,:,jk,jpphy) = 0.036 * tmask(:,:,jk)
+         trn(:,:,jk,jpno3) = 1.e-5 * tmask(:,:,jk)
+         trn(:,:,jk,jpnh4) = 5.e-4 * tmask(:,:,jk)
+         trn(:,:,jk,jpdom) = 0.017 * tmask(:,:,jk)
+      END DO
+
+      trn(:,:, 8,jpdet) = 0.020   * tmask(:,:, 8)
+      trn(:,:, 8,jpzoo) = 0.027   * tmask(:,:, 8)
+      trn(:,:, 8,jpphy) = 0.041   * tmask(:,:, 8)
+      trn(:,:, 8,jpno3) = 0.00022 * tmask(:,:, 8)
+      trn(:,:, 8,jpnh4) = 0.0033  * tmask(:,:, 8)
+      trn(:,:, 8,jpdom) = 0.021   * tmask(:,:, 8)
+
+      trn(:,:, 9,jpdet) = 0.0556  * tmask(:,:, 9)
+      trn(:,:, 9,jpzoo) = 0.123   * tmask(:,:, 9)
+      trn(:,:, 9,jpphy) = 0.122   * tmask(:,:, 9)
+      trn(:,:, 9,jpno3) = 0.028   * tmask(:,:, 9)
+      trn(:,:, 9,jpnh4) = 0.024   * tmask(:,:, 9)
+      trn(:,:, 9,jpdom) = 0.06    * tmask(:,:, 9)
+
+      trn(:,:,10,jpdet) = 0.025   * tmask(:,:,10)
+      trn(:,:,10,jpzoo) = 0.016   * tmask(:,:,10)
+      trn(:,:,10,jpphy) = 0.029   * tmask(:,:,10)
+      trn(:,:,10,jpno3) = 2.462   * tmask(:,:,10)
+      trn(:,:,10,jpnh4) = 0.04    * tmask(:,:,10)
+      trn(:,:,10,jpdom) = 0.022   * tmask(:,:,10)
+
+      trn(:,:,11,jpdet) = 0.0057  * tmask(:,:,11)
+      trn(:,:,11,jpzoo) = 0.0005  * tmask(:,:,11)
+      trn(:,:,11,jpphy) = 0.0006  * tmask(:,:,11)
+      trn(:,:,11,jpno3) = 3.336   * tmask(:,:,11)
+      trn(:,:,11,jpnh4) = 0.005   * tmask(:,:,11)
+      trn(:,:,11,jpdom) = 0.004   * tmask(:,:,11)
+
+      trn(:,:,12,jpdet) = 0.002   * tmask(:,:,12)
+      trn(:,:,12,jpzoo) = 1.e-6   * tmask(:,:,12)
+      trn(:,:,12,jpphy) = 5.e-6   * tmask(:,:,12)
+      trn(:,:,12,jpno3) = 4.24    * tmask(:,:,12)
+      trn(:,:,12,jpnh4) = 0.001   * tmask(:,:,12)
+      trn(:,:,12,jpdom) = 3.e-5   * tmask(:,:,12)
 
       DO jk=13,jpk
-        trn(:,:,jk,jpdet)=0.0
-        trn(:,:,jk,jpzoo)=0.0
-        trn(:,:,jk,jpphy)=0.0
-        trn(:,:,jk,jpnh4)=0.0
-        trn(:,:,jk,jpdom)=0.0
-      END DO
-
-      trn(:,:,13,jpno3)=5.31*tmask(:,:,13)
-      trn(:,:,14,jpno3)=6.73*tmask(:,:,14)
-      trn(:,:,15,jpno3)=8.32*tmask(:,:,15)
-      trn(:,:,16,jpno3)=10.13*tmask(:,:,16)
-      trn(:,:,17,jpno3)=11.95*tmask(:,:,17)
-      trn(:,:,18,jpno3)=13.57*tmask(:,:,18)
-      trn(:,:,19,jpno3)=15.08*tmask(:,:,19)
-      trn(:,:,20,jpno3)=16.41*tmask(:,:,20)
-      trn(:,:,21,jpno3)=17.47*tmask(:,:,21)
-      trn(:,:,22,jpno3)=18.29*tmask(:,:,22)
-      trn(:,:,23,jpno3)=18.88*tmask(:,:,23)
-      trn(:,:,24,jpno3)=19.30*tmask(:,:,24)
-      trn(:,:,25,jpno3)=19.68*tmask(:,:,25)
-      trn(:,:,26,jpno3)=19.91*tmask(:,:,26)
-      trn(:,:,27,jpno3)=19.99*tmask(:,:,27)
-      trn(:,:,28,jpno3)=20.01*tmask(:,:,28)
-      trn(:,:,29,jpno3)=20.01*tmask(:,:,29)
-      trn(:,:,30,jpno3)=20.01*tmask(:,:,30)
+        trn(:,:,jk,jpdet) = 0.e0
+        trn(:,:,jk,jpzoo) = 0.e0
+        trn(:,:,jk,jpphy) = 0.e0
+        trn(:,:,jk,jpnh4) = 0.e0
+        trn(:,:,jk,jpdom) = 0.e0
+      END DO
+
+      trn(:,:,13,jpno3) = 5.31  * tmask(:,:,13)
+      trn(:,:,14,jpno3) = 6.73  * tmask(:,:,14)
+      trn(:,:,15,jpno3) = 8.32  * tmask(:,:,15)
+      trn(:,:,16,jpno3) = 10.13 * tmask(:,:,16)
+      trn(:,:,17,jpno3) = 11.95 * tmask(:,:,17)
+      trn(:,:,18,jpno3) = 13.57 * tmask(:,:,18)
+      trn(:,:,19,jpno3) = 15.08 * tmask(:,:,19)
+      trn(:,:,20,jpno3) = 16.41 * tmask(:,:,20)
+      trn(:,:,21,jpno3) = 17.47 * tmask(:,:,21)
+      trn(:,:,22,jpno3) = 18.29 * tmask(:,:,22)
+      trn(:,:,23,jpno3) = 18.88 * tmask(:,:,23)
+      trn(:,:,24,jpno3) = 19.30 * tmask(:,:,24)
+      trn(:,:,25,jpno3) = 19.68 * tmask(:,:,25)
+      trn(:,:,26,jpno3) = 19.91 * tmask(:,:,26)
+      trn(:,:,27,jpno3) = 19.99 * tmask(:,:,27)
+      trn(:,:,28,jpno3) = 20.01 * tmask(:,:,28)
+      trn(:,:,29,jpno3) = 20.01 * tmask(:,:,29)
+      trn(:,:,30,jpno3) = 20.01 * tmask(:,:,30)
 
 #elif defined key_trc_lobster1 && defined key_gyre
-! init NO3=f(density) by asklod AS Kremeur 2005-07
-      trn(:,:,:,jpdet)=0.1*tmask(:,:,:)
-      trn(:,:,:,jpzoo)=0.1*tmask(:,:,:)
-      trn(:,:,:,jpnh4)=0.1*tmask(:,:,:)
-      trn(:,:,:,jpphy)=0.1*tmask(:,:,:)
-      trn(:,:,:,jpdom)=1.*tmask(:,:,:)
-      DO  jk=1,jpk
-         DO  jj=1,jpj
-            DO  ji=1,jpi
-               IF (rhd(ji,jj,jk).LE.24.5e-3) THEN
-                  trn(ji,jj,jk,jpno3)=2.*tmask(ji,jj,jk)
+      ! LOBSTER initialisation for GYRE
+      ! ----------------------
+      ! here:  init NO3=f(density) by asklod AS Kremeur 2005-07
+      trn(:,:,:,jpdet) = 0.1 * tmask(:,:,:)
+      trn(:,:,:,jpzoo) = 0.1 * tmask(:,:,:)
+      trn(:,:,:,jpnh4) = 0.1 * tmask(:,:,:)
+      trn(:,:,:,jpphy) = 0.1 * tmask(:,:,:)
+      trn(:,:,:,jpdom) = 1.0 * tmask(:,:,:)
+      DO jk = 1, jpk
+         DO jj = 1, jpj
+            DO ji = 1, jpi
+               IF( rhd(ji,jj,jk) <= 24.5e-3 ) THEN
+                  trn(ji,jj,jk,jpno3) = 2. * tmask(ji,jj,jk)
                ELSE
-                  trn(ji,jj,jk,jpno3)=(15.55*(rhd(ji,jj,jk)*1000)-380.11)*tmask(ji,jj,jk)
+                  trn(ji,jj,jk,jpno3) = ( 15.55 * ( rhd(ji,jj,jk) * 1000. ) - 380.11 ) * tmask(ji,jj,jk)
                ENDIF
             END DO
@@ -240,46 +217,42 @@
 
 #else
- 
-!! general case
-      do jn = 1, jptra
-         trn(:,:,:,jn)=0.1*tmask(:,:,:)
-      enddo
+      ! Default case 
+      ! ------------
+      DO jn = 1, jptra
+         trn(:,:,:,jn) = 0.1 * tmask(:,:,:)
+      END DO
 
 #endif
 
 #if defined key_dtatrc
-!!   Initialization of tracer from a file
-!!   that may also be used for damping
+     ! Initialization of tracer from a file that may also be used for damping
       CALL dta_trc( nittrc000 )
-      DO  jk = 1, jptra
-        IF( lutini(jk) ) THEN 
-!! initialisation from file
-           trn(:,:,:,jk) = trdta(:,:,:,jk)*tmask(:,:,:)
-        ENDIF
-      END DO
-#endif
-
-!! before field :
-!! -------------
+      DO jn = 1, jptra
+        IF( lutini(jn) )   trn(:,:,:,jk) = trdta(:,:,:,jn) * tmask(:,:,:)   ! initialisation from file if required
+      END DO
+#endif
+
+      ! before field :
+      ! -------------
       trb(:,:,:,:) = trn(:,:,:,:)
 
 #if defined key_trc_lobster1
-!!  initialize the POC in sediments
-
-      sedpocb(:,:) = 0.
-      sedpocn(:,:) = 0.
-      sedpoca(:,:) = 0.
-#endif
-      
- END SUBROUTINE trc_dtr 
+      !  initialize the POC in sediments
+      sedpocb(:,:) = 0.e0
+      sedpocn(:,:) = 0.e0
+      sedpoca(:,:) = 0.e0
+#endif
+      !
+   END SUBROUTINE trc_dtr 
 
 #else
-
-SUBROUTINE  trc_dtr 
-!!======================
-   !! no passive tracers
-!!======================
-END SUBROUTINE  trc_dtr
-#endif
-
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                     No passive tracer
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE trc_dtr                      ! Empty routine   
+   END SUBROUTINE trc_dtr
+#endif
+
+   !!======================================================================
 END MODULE trcdtr
